Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml
Class XMLConstants

    java.lang.Object
      |
      +--javax.xml.XMLConstants

public class XMLConstants
extends java.lang.Object

Utility class to contain basic XML values as constants.

Version:
  1.0.proposed
Author:
  JAXP Java Community Process, JAXP Reference Implementation
See Also:
  Extensible Markup Language (XML) 1.0 (Second Edition), Namespaces in XML, Namespaces in XML Errata

Field Summary
`static java.lang.String` | `DEFAULT_NS_PREFIX` Prefix to use to represent the default XML Namespace.
`static java.lang.String` | `XML_NS_PREFIX` The official XML Namespace prefix.
`static java.lang.String` | `XML_NS_URI` The official XML Namespace name URI.
`static java.lang.String` | `XMLNS_ATTRIBUTE` The official XML attribute used for specifying XML Namespace declarations.
`static java.lang.String` | `XMLNS_ATTRIBUTE_NS_URI` The official XML attribute used for specifying XML Namespace declarations, `"xmlns"`, Namespace name URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NS_PREFIX

    public static final java.lang.String DEFAULT_NS_PREFIX

  Prefix to use to represent the default XML Namespace.

  Defined by the XML specification to be "".

  See Also:
    Namespaces in XML, Constant Field Values

### XML_NS_PREFIX

    public static final java.lang.String XML_NS_PREFIX

  The official XML Namespace prefix.

  Defined by the XML specification to be "`xml`".

  See Also:
    Namespaces in XML, Constant Field Values

### XML_NS_URI

    public static final java.lang.String XML_NS_URI

  The official XML Namespace name URI.

  Defined by the XML specification to be "`http://www.w3.org/XML/1998/namespace`".

  See Also:
    Namespaces in XML, Constant Field Values

### XMLNS_ATTRIBUTE

    public static final java.lang.String XMLNS_ATTRIBUTE

  The official XML attribute used for specifying XML Namespace declarations.

  It is not valid to use as a prefix. Defined by the XML specification to be "`xmlns`".

  See Also:
    Namespaces in XML, Constant Field Values

### XMLNS_ATTRIBUTE_NS_URI

    public static final java.lang.String XMLNS_ATTRIBUTE_NS_URI

  The official XML attribute used for specifying XML Namespace declarations, `"xmlns"`, Namespace name URI.

  Defined by the XML specification to be "`http://www.w3.org/2000/xmlns/`".

  See Also:
    Namespaces in XML, Namespaces in XML Errata, Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Comments to: jaxb-spec-comments@sun.com
More information at: http://java.sun.com/xml/jaxb

Copyright © 2001 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.